org.optaplanner.core.impl.heuristic.selector.value.decorator

## Class InitializedValueSelector.JustInTimeInitializedValueIterator

- java.lang.Object
- - org.optaplanner.core.impl.heuristic.selector.common.iterator.SelectionIterator<S>
  - - org.optaplanner.core.impl.heuristic.selector.common.iterator.UpcomingSelectionIterator<Object>
    - - org.optaplanner.core.impl.heuristic.selector.value.decorator.InitializedValueSelector.JustInTimeInitializedValueIterator

- All Implemented Interfaces:
    Iterator<Object>
  Enclosing class:
    InitializedValueSelector

      protected class InitializedValueSelector.JustInTimeInitializedValueIterator
      extends UpcomingSelectionIterator<Object>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.UpcomingSelectionIterator

      `hasUpcomingSelection, upcomingCreated, upcomingSelection`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JustInTimeInitializedValueIterator(Object entity, Iterator<Object> childValueIterator)`
    `JustInTimeInitializedValueIterator(Object entity, Iterator<Object> childValueIterator, long bailOutSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `createUpcomingSelection()`

    - ### Methods inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.UpcomingSelectionIterator

      `hasNext, next, noUpcomingSelection, toString`

    - ### Methods inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.SelectionIterator

      `remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### JustInTimeInitializedValueIterator

          public JustInTimeInitializedValueIterator(Object entity,
                                                    Iterator<Object> childValueIterator)

    - #### JustInTimeInitializedValueIterator

          public JustInTimeInitializedValueIterator(Object entity,
                                                    Iterator<Object> childValueIterator,
                                                    long bailOutSize)

  - ### Method Detail

    - #### createUpcomingSelection

          protected Object createUpcomingSelection()

      Specified by:
        `createUpcomingSelection` in class `UpcomingSelectionIterator<Object>`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.